<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="mySalesmanLabel" jhiTranslate="mpmApp.salesman.home.createOrEditLabel">Create or edit a Salesman</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>

    <div class="modal-body">

        <jhi-person-view [person]="salesman.person">
            <p-panel header="Salesman Info">
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.salesman.idSalesman" for="field_idSalesman">Id Salesman</label>
                    <input type="text" class="form-control" name="idSalesman" id="field_idSalesman" [(ngModel)]="salesman.idSalesman" />
                </div>

                <div class="form-group">
                        <label class="form-control-label">User Name</label>
                    <input type="text" class="form-control" name="username" id="field_username" [(ngModel)]="salesman.userName" />
                </div>
                <div class="form-group">
                        <label class="form-control-label">AHM Code</label>
                    <input type="text" class="form-control" name="ahmcode" id="field_ahmcode" [(ngModel)]="salesman.ahmCode" />
                </div>

                    <!-- <div class="form-group col-sm-4" layout-align='center center' layout='column'>
                        <label class="form-check-label">
                            <p-checkbox name="input_coordinator" label="{{'mpmApp.salesman.coordinator'| translate}}" styleClass="form-check-input"
                                [(ngModel)]="salesman.coordinator" binary="true"></p-checkbox>
                        </label>
                    </div> -->

                <div class="form-group">
                    <label class="form-control-label">Role As</label>
                    <select class="form-control" id="field_roleAs" name="roleAs" [(ngModel)]="salesman.roleAs" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="role.value" *ngFor="let role of roles">{{role.label}}</option>
                    </select>
                </div>
                <div *ngIf="salesman.roleAs === 'TL' || salesman.roleAs === 'Sales'">
                    <div class="form-group">
                        <label jhiTranslate="mpmApp.salesman.coordinatorSales" for="field_coordinatorSales">Coordinator Sales</label>
                        <select class="form-control" id="field_coordinatorSales" name="coordinatorSales" [(ngModel)]="salesman.coordinatorSalesId">
                            <option [ngValue]="null"></option>
                            <option [ngValue]="korsal.idPartyRole" *ngFor="let korsal of korsals; trackBy: trackSalesmanById">{{korsal.person.name}}</option>
                        </select>
                    </div>
                </div>
                <div *ngIf="salesman.roleAs === 'Sales'">
                    <div class="form-group">
                        <label jhiTranslate="mpmApp.salesman.teamLeader" for="field_teamLeader">Team Leader</label>
                        <select class="form-control" id="field_teamLeader" name="teamLeader" [(ngModel)]="salesman.teamLeaderSalesId">
                            <option [ngValue]="null"></option>
                            <option [ngValue]="teamLeader.idPartyRole" *ngFor="let teamLeader of teamLeaders; trackBy: trackSalesmanById">{{teamLeader.person.name}}</option>
                        </select>
                    </div>
                </div>
                

            </p-panel>
        </jhi-person-view>

    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal" (click)="clear()">
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
    </div>
</form>